var md_usrp3_simulation =
[
    [ "Instructions", "md_usrp3_simulation.html#autotoc_md228", null ],
    [ "Library Reference", "md_usrp3_simulation.html#autotoc_md229", null ],
    [ "Legacy Library Reference", "md_usrp3_simulation.html#autotoc_md230", null ],
    [ "Running a Testbench", "md_usrp3_sim_running_testbenches.html", [
      [ "Using Xilinx Vivado XSim", "md_usrp3_sim_running_testbenches.html#autotoc_md200", null ],
      [ "Using Mentor Graphics ModelSim", "md_usrp3_sim_running_testbenches.html#autotoc_md201", [
        [ "Setting Up ModelSim", "md_usrp3_sim_running_testbenches.html#autotoc_md202", null ],
        [ "Simulating with ModelSim through Vivado", "md_usrp3_sim_running_testbenches.html#autotoc_md203", null ],
        [ "Simulating with ModelSim Natively", "md_usrp3_sim_running_testbenches.html#autotoc_md204", null ],
        [ "Compiling the Simulation with ModelSim", "md_usrp3_sim_running_testbenches.html#autotoc_md205", null ]
      ] ],
      [ "Troubleshooting", "md_usrp3_sim_running_testbenches.html#autotoc_md206", null ]
    ] ],
    [ "Writing a Testbench", "md_usrp3_sim_writing_testbenches.html", "md_usrp3_sim_writing_testbenches" ],
    [ "Simulation Libraries", "md_usrp3_sim_simulation_libraries.html", [
      [ "PktTestExec", "md_usrp3_sim_simulation_libraries.html#autotoc_md211", [
        [ "PkgTestExec Tasks and Functions", "md_usrp3_sim_simulation_libraries.html#autotoc_md212", null ],
        [ "Macros", "md_usrp3_sim_simulation_libraries.html#autotoc_md213", null ]
      ] ],
      [ "PkgChdrUtils", "md_usrp3_sim_simulation_libraries.html#autotoc_md214", null ],
      [ "PkgChdrData", "md_usrp3_sim_simulation_libraries.html#autotoc_md215", null ],
      [ "PkgRfnocBlockCtrlBfm", "md_usrp3_sim_simulation_libraries.html#autotoc_md216", null ],
      [ "sim_clock_gen", "md_usrp3_sim_simulation_libraries.html#autotoc_md217", null ],
      [ "PkgAxiStream", "md_usrp3_sim_simulation_libraries.html#autotoc_md218", null ]
    ] ],
    [ "Legacy Testbenches", "md_usrp3_sim_legacy_testbenches.html", [
      [ "Timescale Defines and Includes", "md_usrp3_sim_legacy_testbenches.html#autotoc_md144", null ],
      [ "Main Module Definition", "md_usrp3_sim_legacy_testbenches.html#autotoc_md145", null ],
      [ "Test Cases", "md_usrp3_sim_legacy_testbenches.html#autotoc_md146", null ]
    ] ],
    [ "Legacy Simulation Libraries", "md_usrp3_sim_libs_general.html", [
      [ "Execution and Reporting (sim_exec_report.vh)", "md_usrp3_sim_libs_general.html#autotoc_md180", null ],
      [ "Clocks and Resets (sim_clks_rsts.vh)", "md_usrp3_sim_libs_general.html#autotoc_md187", null ],
      [ "File I/O (sim_file_io.svh)", "md_usrp3_sim_libs_general.html#autotoc_md192", [
        [ "interface data_file_t", "md_usrp3_sim_libs_general.html#autotoc_md193", [
          [ "Vivado Not Found", "md_usrp3_sim_running_testbenches.html#autotoc_md207", null ],
          [ "ModelSim Not Found", "md_usrp3_sim_running_testbenches.html#autotoc_md208", null ],
          [ "ModelSim Simulation Libraries Not Found", "md_usrp3_sim_running_testbenches.html#autotoc_md209", null ],
          [ "TEST_BENCH_INIT", "md_usrp3_sim_libs_general.html#autotoc_md181", null ],
          [ "TEST_CASE_START", "md_usrp3_sim_libs_general.html#autotoc_md182", null ],
          [ "TEST_CASE_DONE", "md_usrp3_sim_libs_general.html#autotoc_md183", null ],
          [ "ASSERT_FATAL", "md_usrp3_sim_libs_general.html#autotoc_md184", null ],
          [ "ASSERT_ERROR", "md_usrp3_sim_libs_general.html#autotoc_md185", null ],
          [ "ASSERT_WARNING", "md_usrp3_sim_libs_general.html#autotoc_md186", null ],
          [ "DEFINE_CLK", "md_usrp3_sim_libs_general.html#autotoc_md188", null ],
          [ "DEFINE_LATE_START_CLK", "md_usrp3_sim_libs_general.html#autotoc_md189", null ],
          [ "DEFINE_RESET", "md_usrp3_sim_libs_general.html#autotoc_md190", null ],
          [ "DEFINE_RESET_N", "md_usrp3_sim_libs_general.html#autotoc_md191", null ],
          [ "open", "md_usrp3_sim_libs_general.html#autotoc_md194", null ],
          [ "close", "md_usrp3_sim_libs_general.html#autotoc_md195", null ],
          [ "is_eof", "md_usrp3_sim_libs_general.html#autotoc_md196", null ],
          [ "readline", "md_usrp3_sim_libs_general.html#autotoc_md197", null ],
          [ "writeline", "md_usrp3_sim_libs_general.html#autotoc_md198", null ]
        ] ]
      ] ]
    ] ],
    [ "Legacy AXI Interface Libraries", "md_usrp3_sim_libs_axi.html", [
      [ "AXI4 Stream (sim_axis_lib.vh)", "md_usrp3_sim_libs_axi.html#autotoc_md148", [
        [ "Definition", "md_usrp3_sim_libs_axi.html#autotoc_md149", null ],
        [ "Operations", "md_usrp3_sim_libs_axi.html#autotoc_md150", [
          [ "push_word", "md_usrp3_sim_libs_axi.html#autotoc_md151", null ],
          [ "push_bubble", "md_usrp3_sim_libs_axi.html#autotoc_md152", null ],
          [ "pull_word", "md_usrp3_sim_libs_axi.html#autotoc_md153", null ],
          [ "wait_for_bubble", "md_usrp3_sim_libs_axi.html#autotoc_md154", null ],
          [ "wait_for_pkt", "md_usrp3_sim_libs_axi.html#autotoc_md155", null ],
          [ "push_rand_pkt", "md_usrp3_sim_libs_axi.html#autotoc_md156", null ],
          [ "push_ramp_pkt", "md_usrp3_sim_libs_axi.html#autotoc_md157", null ]
        ] ]
      ] ],
      [ "Compressed VITA (sim_chdr_lib.vh)", "md_usrp3_sim_libs_axi.html#autotoc_md158", [
        [ "CHDR", "md_usrp3_sim_libs_axi.html#autotoc_md159", [
          [ "Operations", "md_usrp3_sim_libs_axi.html#autotoc_md160", null ]
        ] ],
        [ "CVITA Stream Type", "md_usrp3_sim_libs_axi.html#autotoc_md161", [
          [ "Definition", "md_usrp3_sim_libs_axi.html#autotoc_md162", null ],
          [ "push_hdr", "md_usrp3_sim_libs_axi.html#autotoc_md163", null ],
          [ "push_data", "md_usrp3_sim_libs_axi.html#autotoc_md164", null ],
          [ "push_bubble", "md_usrp3_sim_libs_axi.html#autotoc_md165", null ],
          [ "pull_word", "md_usrp3_sim_libs_axi.html#autotoc_md166", null ],
          [ "wait_for_bubble", "md_usrp3_sim_libs_axi.html#autotoc_md167", null ],
          [ "wait_for_pkt", "md_usrp3_sim_libs_axi.html#autotoc_md168", null ],
          [ "wait_for_pkt_get_info", "md_usrp3_sim_libs_axi.html#autotoc_md169", null ],
          [ "push_rand_pkt", "md_usrp3_sim_libs_axi.html#autotoc_md170", null ],
          [ "push_ramp_pkt", "md_usrp3_sim_libs_axi.html#autotoc_md171", null ]
        ] ]
      ] ],
      [ "Memory Mapped AXI4 (sim_axi4_lib.vh)", "md_usrp3_sim_libs_axi.html#autotoc_md172", null ]
    ] ]
];